Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | Private Member Functions | List of all members
eZISBNType Class Reference

Handles ISBN type strings. More...

Inheritance diagram for eZISBNType:

## Public Member Functions
| __construct ()
| validateObjectAttributeHTTPInput ( $http, $base, $contentObjectAttribute)
| fetchObjectAttributeHTTPInput ( $http, $base, $contentObjectAttribute)
| customClassAttributeHTTPAction ( $http, $action, $classAttribute)
| fetchClassAttributeHTTPInput ( $http, $base, $classAttribute)
| storeObjectAttribute ( $attribute)
| preStoreClassAttribute ( $classAttribute, $version)
| storeClassAttributeContent ( $classAttribute, $content)
| objectAttributeContent ( $contentObjectAttribute)
| classAttributeContent ( $classAttribute)
| isIndexable ()
| metaData ( $contentObjectAttribute)
| toString ( $contentObjectAttribute)
| fromString ( $contentObjectAttribute, $string)
| title ( $data_instance, $name=null)
| initializeClassAttribute ( $classAttribute)
| hasObjectAttributeContent ( $contentObjectAttribute)
| cleanDBDataBeforeImport ()
| supportsBatchInitializeObjectAttribute ()
Public Member Functions inherited from eZDataType
| __construct ( $dataTypeString, $name, $properties=array())
| eZDataType ( $dataTypeString, $name, $properties=array())
| viewTemplate ( $contentobjectAttribute)
| editTemplate ( $contentobjectAttribute)
| informationTemplate ( $contentobjectAttribute)
| resultTemplate (&$collectionAttribute)
| isA ()
| isTranslatable ()
| attributes ()
| hasAttribute ( $attr)
| attribute ( $attr)
| isHTTPFileInsertionSupported ()
| isRegularFileInsertionSupported ()
| isSimpleStringInsertionSupported ()
| isRelationType ()
| insertHTTPFile ( $object, $objectVersion, $objectLanguage, $objectAttribute, $httpFile, $mimeData, &$result)
| insertRegularFile ( $object, $objectVersion, $objectLanguage, $objectAttribute, $filePath, &$result)
| insertSimpleString ( $object, $objectVersion, $objectLanguage, $objectAttribute, $string, &$result)
| hasStoredFileInformation ( $object, $objectVersion, $objectLanguage, $objectAttribute)
| handleDownload ( $object, $objectVersion, $objectLanguage, $objectAttribute)
| storedFileInformation ( $object, $objectVersion, $objectLanguage, $objectAttribute)
| productOptionInformation ( $objectAttribute, $optionID, $productItem)
| objectDisplayInformation ( $objectAttribute, $mergeInfo=false)
| classDisplayInformation ( $classAttribute, $mergeInfo=false)
| onPublish ( $contentObjectAttribute, $contentObject, $publishedNodes)
| storeClassAttribute ( $classAttribute, $version)
| storeDefinedClassAttribute ( $classAttribute)
| storeModifiedClassAttribute ( $classAttribute)
| storeVersionedClassAttribute ( $classAttribute, $version)
| preStoreDefinedClassAttribute ( $classAttribute)
| preStoreModifiedClassAttribute ( $classAttribute)
| preStoreVersionedClassAttribute ( $classAttribute, $version)
| validateClassAttributeHTTPInput ( $http, $base, $classAttribute)
| fixupClassAttributeHTTPInput ( $http, $base, $classAttribute)
| fetchActionValue ( $action, $actionName, &$value)
| fixupObjectAttributeHTTPInput ( $http, $base, $objectAttribute)
| validateCollectionAttributeHTTPInput ( $http, $base, $objectAttribute)
| fixupCollectionAttributeHTTPInput ( $http, $base, $objectAttribute)
| fetchCollectionAttributeHTTPInput ( $collection, $collectionAttribute, $http, $base, $objectAttribute)
| customObjectAttributeHTTPAction ( $http, $action, $objectAttribute, $parameters)
| handleCustomObjectHTTPActions ( $http, $attributeDataBaseName, $customActionAttributeArray, $customActionParameters)
| cloneClassAttribute ( $oldClassAttribute, $newClassAttribute)
| initializeObjectAttribute ( $objectAttribute, $currentVersion, $originalContentObjectAttribute)
| repairContentObjectAttribute ( $contentObjectAttribute)
| postInitializeObjectAttribute ( $objectAttribute, $currentVersion, $originalContentObjectAttribute)
| postStore ( $objectAttribute)
| trashStoredObjectAttribute ( $objectAttribute, $version=null)
| restoreTrashedObjectAttribute ( $objectAttribute)
| deleteStoredObjectAttribute ( $objectAttribute, $version=null)
| deleteStoredClassAttribute ( $classAttribute, $version=null)
| deleteNotVersionedStoredClassAttribute (eZContentClassAttribute $classAttribute)
| contentActionList ( $classAttribute)
| hasInformationCollection ()
| isAddToBasketValidationRequired ()
| validateAddToBasket ( $objectAttribute, $data, &$errors)
| isClassAttributeRemovable ( $classAttribute)
| classAttributeRemovableInformation ( $classAttribute, $includeAll=true)
| isInformationCollector ()
| sortKey ( $objectAttribute)
| sortKeyType ()
| customSorting ()
| customSortingSQL ( $params)
| templateList ()
| serializeContentClassAttribute ( $classAttribute, $attributeNode, $attributeParametersNode)
| unserializeContentClassAttribute ( $classAttribute, $attributeNode, $attributeParametersNode)
| serializeContentObjectAttribute ( $package, $objectAttribute)
| unserializeContentObjectAttribute ( $package, $objectAttribute, $attributeNode)
| postUnserializeContentObjectAttribute ( $package, $objectAttribute)
| removeRelatedObjectItem ( $contentObjectAttribute, $objectID)
| fixRelatedObjectItem ( $contentObjectAttribute, $objectID, $mode)
| createContentObjectAttributeDOMNode ( $objectAttribute)
| diff ( $old, $new, $options=false)
| getDBAFileName ()
| getDBAFilePath ( $checkExtensions=true)
| getDBAExtensionFilePath ()
| importDBDataFromDBAFile ( $dbaFilePath=false)
| batchInitializeObjectAttributeData ( $classAttribute)

## Static Public Member Functions
static | convertISBN10toISBN13 ( $isbnNr)
Static Public Member Functions inherited from eZDataType
static | create ( $dataTypeString)
static | registeredDataTypes ()
static | register ( $dataTypeString, $className)
static | allowedTypes ()
static | loadAndRegisterAllTypes ()
static | loadAndRegisterType ( $type)

## Public Attributes
const | DATA_TYPE_STRING = "ezisbn"
const | CLASS_IS_ISBN13 = 'data_int1'
const | CONTENT_VALUE = 'data_text'
Public Attributes inherited from eZDataType
| $Attributes
| $DataTypeString
| The datatype string ID, used for uniquely identifying a datatype. More...
| $Name
| The descriptive name of the datatype, usually used for displaying to the user. More...

## Private Member Functions
| validateISBNChecksum ( $isbnNr)
| validateISBN13Checksum ( $isbnNr, &$error)

## Detailed Description

Handles ISBN type strings.

Definition at line 18 of file ezisbntype.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZISBNType::__construct | ( |  | ) |

Definition at line 24 of file ezisbntype.php.

References ezpI18n\tr().

## Member Function Documentation

## ◆ classAttributeContent()

eZISBNType::classAttributeContent | ( |  | $classAttribute | ) |

Returns the content data for the given content class attribute.

Reimplemented from eZDataType.

Definition at line 349 of file ezisbntype.php.

## ◆ cleanDBDataBeforeImport()

eZISBNType::cleanDBDataBeforeImport | ( |  | ) |

See also eZDataType:cleanDBDataBeforeImport().

Reimplemented from eZDataType.

Definition at line 420 of file ezisbntype.php.

References eZISBNGroup\cleanAll(), eZISBNGroupRange\cleanAll(), and eZISBNRegistrantRange\cleanAll().

## ◆ convertISBN10toISBN13()

static eZISBNType::convertISBN10toISBN13 | ( |  | $isbnNr | ) |
| static

Calculate the ISBN-13 checkdigit and return a valid ISBN-13 number based on an ISBN-10 number as input.

Returns
  a valid ISBN-13 number.

Definition at line 189 of file ezisbntype.php.

Referenced by fetchObjectAttributeHTTPInput(), and eZISBN10To13Converter\updateContentObjectAttribute().

## ◆ customClassAttributeHTTPAction()

eZISBNType::customClassAttributeHTTPAction | ( |  | $http,
|  |  | $action,
|  |  | $classAttribute
| ) |  |

Executes a custom action for a class attribute which was defined on the web page.

Note
  Default implementation does nothing.

Reimplemented from eZDataType.

Definition at line 269 of file ezisbntype.php.

References eZDataType\importDBDataFromDBAFile().

## ◆ fetchClassAttributeHTTPInput()

eZISBNType::fetchClassAttributeHTTPInput | ( |  | $http,
|  |  | $base,
|  |  | $classAttribute
| ) |  |

Fetches the HTTP input for the content class attribute.

Note
  Default implementation does nothing.

Reimplemented from eZDataType.

Definition at line 280 of file ezisbntype.php.

## ◆ fetchObjectAttributeHTTPInput()

eZISBNType::fetchObjectAttributeHTTPInput | ( |  | $http,
|  |  | $base,
|  |  | $contentObjectAttribute
| ) |  |

Fetches the http post var string input and stores it in the data instance.

Reimplemented from eZDataType.

Definition at line 213 of file ezisbntype.php.

References convertISBN10toISBN13(), and eZInputValidator\STATE_ACCEPTED.

## ◆ fromString()

eZISBNType::fromString | ( |  | $contentObjectAttribute,
|  |  | $string
| ) |  |

Reimplemented from eZDataType.

Definition at line 384 of file ezisbntype.php.

## ◆ hasObjectAttributeContent()

eZISBNType::hasObjectAttributeContent | ( |  | $contentObjectAttribute | ) |

Check if an ISBN value exist in the datatype.

Reimplemented from eZDataType.

Definition at line 412 of file ezisbntype.php.

## ◆ initializeClassAttribute()

eZISBNType::initializeClassAttribute | ( |  | $classAttribute | ) |

Initializes the class attribute. data_int will be se default to 1, as this is ISBN-13.

Reimplemented from eZDataType.

Definition at line 401 of file ezisbntype.php.

## ◆ isIndexable()

eZISBNType::isIndexable | ( |  | ) |

ISBN numbers are indexable, returns `true`.

Reimplemented from eZDataType.

Definition at line 362 of file ezisbntype.php.

## ◆ metaData()

eZISBNType::metaData | ( |  | $contentObjectAttribute | ) |

Returns the meta data used for storing search indeces.

Reimplemented from eZDataType.

Definition at line 370 of file ezisbntype.php.

## ◆ objectAttributeContent()

eZISBNType::objectAttributeContent | ( |  | $contentObjectAttribute | ) |

Returns the content.

Reimplemented from eZDataType.

Definition at line 320 of file ezisbntype.php.

## ◆ preStoreClassAttribute()

eZISBNType::preStoreClassAttribute | ( |  | $classAttribute,
|  |  | $version
| ) |  |

Similar to the storeClassAttribute but is called before the attribute itself is stored and can be used to set values in the class attribute.

Returns
  True if the value was stored correctly.

See also
  fetchClassAttributeHTTPInput

Reimplemented from eZDataType.

Definition at line 302 of file ezisbntype.php.

References storeClassAttributeContent().

## ◆ storeClassAttributeContent()

eZISBNType::storeClassAttributeContent | ( |  | $classAttribute,
|  |  | $content
| ) |  |

Definition at line 307 of file ezisbntype.php.

Referenced by preStoreClassAttribute().

## ◆ storeObjectAttribute()

eZISBNType::storeObjectAttribute | ( |  | $attribute | ) |

Store the content.

Reimplemented from eZDataType.

Definition at line 298 of file ezisbntype.php.

## ◆ supportsBatchInitializeObjectAttribute()

eZISBNType::supportsBatchInitializeObjectAttribute | ( |  | ) |

Reimplemented from eZDataType.

Definition at line 428 of file ezisbntype.php.

## ◆ title()

eZISBNType::title | ( |  | $data_instance,
|  |  | $name = `null`
| ) |  |

Returns the text.

Reimplemented from eZDataType.

Definition at line 392 of file ezisbntype.php.

## ◆ toString()

eZISBNType::toString | ( |  | $contentObjectAttribute | ) |

Returns
  string representation of an contentobjectattribute data for simplified export

Reimplemented from eZDataType.

Definition at line 379 of file ezisbntype.php.

## ◆ validateISBN13Checksum()

eZISBNType::validateISBN13Checksum | ( |  | $isbnNr,
|  | & | $error
| ) |  |
| private

Deprecated:
  , should use the class eZISBN13 instead. Validates the ISBN-13 number $isbnNr.

Parameters

  $isbnNr | A string containing the number without any dashes.

Returns
  `true` if it is valid.

Definition at line 176 of file ezisbntype.php.

## ◆ validateISBNChecksum()

eZISBNType::validateISBNChecksum | ( |  | $isbnNr | ) |
| private

Validates the ISBN number $isbnNr. All characters should be numeric except the last digit that may be the character X, which should be calculated as 10.

Parameters

  $isbnNr | A string containing the number without any dashes.

Returns
  `true` if it is valid.

Definition at line 144 of file ezisbntype.php.

Referenced by validateObjectAttributeHTTPInput().

## ◆ validateObjectAttributeHTTPInput()

eZISBNType::validateObjectAttributeHTTPInput | ( |  | $http,
|  |  | $base,
|  |  | $contentObjectAttribute
| ) |  |

Validates the input and returns true if the input was valid for this datatype.

Reimplemented from eZDataType.

Definition at line 35 of file ezisbntype.php.

References eZInputValidator\STATE_ACCEPTED, eZInputValidator\STATE_INVALID, ezpI18n\tr(), and validateISBNChecksum().

## Member Data Documentation

## ◆ CLASS_IS_ISBN13

const eZISBNType::CLASS_IS_ISBN13 = 'data_int1'

Definition at line 21 of file ezisbntype.php.

## ◆ CONTENT_VALUE

const eZISBNType::CONTENT_VALUE = 'data_text'

Definition at line 22 of file ezisbntype.php.

## ◆ DATA_TYPE_STRING

const eZISBNType::DATA_TYPE_STRING = "ezisbn"

Definition at line 20 of file ezisbntype.php.

The documentation for this class was generated from the following file:

- ezisbntype.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.